# Get Client Payment Methods

```
GET 
/client-payment-methods
```

Retrieve available payment methods from the client side. No authentication required.

You must provide either an `accountId` or a `paymentId` as a query parameter.

When providing a `paymentId`, the response includes payment-specific information such as amount and currency.

If `countryCode` is not provided, it is automatically detected from the client's IP address to filter payment methods by geographic availability.

You can also filter by `amount` or `currency`.

## Request[​](#request "Direct link to request")

## Responses[​](#responses "Direct link to Responses")

* 200
* 400
* 401
* 404
* 422
* 500
* 503

Available payment methods

The request is incorrect or could not be processed

Unauthorized error. Please check your auth credentials

The specified resource was not found

The request was well-formed but could not be processed due to semantic errors

Unexpected server error

The service is temporarily unavailable
